#include "../include/Cache_OneLevel.h"

namespace environnement {
namespace cache {
namespace cache_onelevel {

  // return the index of the next victim
  uint32_t Cache_OneLevel::index_victim (uint32_t familly)
  {
    uint32_t victim = 0;
    while (tag [familly][victim].index_lru != (param->associativity-1))
      victim ++;
    
    return victim;
  }
};
};
};
